Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
notion = client.notions.delete(
"id",
)
print(notion.id)curl --request DELETE \
--url https://developer.qaip.com/api/v1/notions/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/notions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"page_id": "<string>",
"status": "unknown",
"ingestion_setting_id": "<string>",
"creation_time": 123,
"start_time": 123,
"end_time": 123,
"error": {
"title": "<string>",
"message": "<string>"
},
"metadata": {
"records": [
{
"key": "<string>",
"val": "<string>",
"type": "string"
}
]
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Start deletion of Notion data source
Initiates an asynchronous deletion job for the specified Notion data source. The response indicates that the deletion job has been accepted, not that the deletion is complete.
Required scope: ingestion:manage
DELETE
/
notions
/
{id}
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
notion = client.notions.delete(
"id",
)
print(notion.id)Authorizations
API key for authentication
Path Parameters
Notion data source ID
Response
Successfully deleted Notion data source
Notion data source ID
Name of the Notion ingestion setting
Notion page ID
Job status
Available options:
unknown, queued, not_started, managed, starting, started, success, failure, canceling, canceled, deleting, delete_job_failure Notion ingestion setting ID
Creation time (Unix timestamp in seconds)
Job start time (Unix timestamp in seconds)
Job end time (Unix timestamp in seconds)
Show child attributes
Show child attributes
(reserved for future use) Additional metadata for the Notion data source
Show child attributes
Show child attributes

